System.Data [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.3300.0 1.0.5000.0 2.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Collections.IList

The interface enables an inheriting class to implement a ColumnMapping collection. For more information, see [<topic://cpconsettingupdatatabledatacolumnmappings>].

An application does not create an instance of the interface directly, but creates an instance of a class that inherits .

Classes that inherit must implement all inherited members, and typically define additional members to add provider-specific functionality. For example, the interface defines the method. In turn, the class inherits this method, and defines two additional overloads of .

Contains a collection of DataColumnMapping objects, and is implemented by the , which is used in common by .NET Framework data providers.

- Method
  System.Data.IColumnMapping `` `` To be added

  Adds a ColumnMapping object to the ColumnMapping collection using the source column and column names.

  The ColumnMapping object that was added to the collection.

  The case-sensitive name of the source column. The name of the column. 1.0.5000.0 2.0.0.0
- Method
  System.Boolean `` To be added

  Gets a value indicating whether the contains a object with the specified source column name.

  true if a object with the specified source column name exists, otherwise false.

  The case-sensitive name of the source column. 1.0.5000.0 2.0.0.0
- Method
  System.Data.IColumnMapping `` To be added

  Gets the ColumnMapping object with the specified column name.

  The ColumnMapping object with the specified DataSet column name.

  The name of the column within the collection. 1.0.5000.0 2.0.0.0
- Method
  System.Int32 `` To be added

  Gets the location of the object with the specified source column name. The name is case-sensitive.

  The zero-based location of the DataColumnMapping object with the specified source column name.

  The case-sensitive name of the source column. 1.0.5000.0 2.0.0.0
- Property
  System.Object `` To be added: an object of type 'string' To be added To be added: an object of type 'object' To be added 1.0.5000.0 2.0.0.0
- Method
  System.Void `` To be added

  Removes the object with the specified name from the collection.

  The case-sensitive SourceColumn name. 1.0.5000.0 2.0.0.0